Last Comment Bug 711381 - v8-support.h fails to compile on mingw
: v8-support.h fails to compile on mingw
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla11
Assigned To: Jacek Caban
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 04:10 PST by Jacek Caban
Modified: 2011-12-20 03:44 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (806 bytes, patch)
2011-12-16 04:10 PST, Jacek Caban
felipc: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-12-16 04:10:29 PST
Created attachment 582238 [details] [diff] [review]
fix v1.0

I get an error:

v8-support.h:57:10: error: 'int32_t' does not name a type

Although mingw supports int32_t, it requires stdint.h to be included, which is not in this case. __int32 is, however, always supported to mimic MSVC behavior, so making #ifdef platfor, instead of compiler, specific fixes the problem.
Comment 1 :Felipe Gomes (needinfo me!) 2011-12-16 11:04:12 PST
Comment on attachment 582238 [details] [diff] [review]
fix v1.0

Alternatively we could use the recently added mozilla/StdInt.h and get rid of some of the typedefs in platform.h
Comment 2 Jacek Caban 2011-12-19 05:08:04 PST
Thanks for the review, pushed to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/8668dc5a4f60
Comment 3 Matt Brubeck (:mbrubeck) 2011-12-19 11:14:16 PST
https://hg.mozilla.org/mozilla-central/rev/8668dc5a4f60
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2011-12-19 11:17:38 PST
(In reply to Felipe Gomes (:felipe) from comment #1)
> Comment on attachment 582238 [details] [diff] [review]
> fix v1.0
> 
> Alternatively we could use the recently added mozilla/StdInt.h and get rid
> of some of the typedefs in platform.h

Indeed. Jacek, could you file a followup?
Comment 5 Jacek Caban 2011-12-20 03:41:24 PST
(In reply to Ms2ger from comment #4)
> Indeed. Jacek, could you file a followup?

Sure, filled bug 712254
Comment 6 Jacek Caban 2011-12-20 03:44:55 PST
Restoring accidentally changed status

Note You need to log in before you can comment on or make changes to this bug.